Bug 1378251 - Typo In SSSD-AD Man Page
Summary: Typo In SSSD-AD Man Page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: shridhar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-21 23:41 UTC by Bernie Hoefer
Modified: 2020-05-02 18:30 UTC (History)
7 users (show)

Fixed In Version: sssd-1.15.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:00:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 4238 None None None 2020-05-02 18:30:43 UTC
Red Hat Product Errata RHEA-2017:2294 normal SHIPPED_LIVE sssd bug fix and enhancement update 2017-08-01 12:39:55 UTC

Description Bernie Hoefer 2016-09-21 23:41:57 UTC
Description of problem:
I think there is a typo in the man page for sssd-ad.  It states:

  The default configuration results in configuring 10,000 slices, each
  capable of holding up to 200,000 IDs, starting from 10,001 and going up
  to 2,000,100,000.

But if there are 10,000 slices each holding 200,000 IDs, that should go up to:

(10,000 * 200,000 ) + 10,001 - 1 = 2,000,010,000


Version-Release number of selected component (if applicable):
sssd-ad-1.13.0-40.el7_2.12

Comment 2 Jakub Hrozek 2016-09-28 13:35:38 UTC
Thank you for the bug report. I asked our ID-mapping expert to check if this is a bug and it looks like it is:

15:32 < sbose> jhrozek, yes, the sentence describing the example comes from the original commit where the defaults were different and the sentence was right. Over the time the _min and _max defaults were changed but the sentence was not updated accordingly.

Nonetheless, it's too late for 7.3

Comment 3 Jakub Hrozek 2016-09-28 13:37:23 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/3205

Comment 4 Jakub Hrozek 2016-10-07 10:52:35 UTC
* master: 3955667b6e5071cc1264422cb9d702534cf9bc21

Comment 6 shridhar 2017-03-21 13:59:15 UTC
verified with sssd-1.15.1-1.el7.x86_64

from man sssd-ad

       The default configuration results in configuring 10,000 slices, each capable of holding up to 200,000 IDs, starting from 200,000 and going up to 2,000,200,000. This should be sufficient for most deployments.

Comment 7 errata-xmlrpc 2017-08-01 09:00:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:2294


Note You need to log in before you can comment on or make changes to this bug.